package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.Map;

/**
 * Created by Wyh on 2020/1/10.
 */
public class HomeTurnoverBean {

    /**
     * success : true
     * sysTime : 1578656177759
     * data : {"2020-01-09":{"Business_amount":"2734.00","Bill_decimal":"0.00","discount":"-23.00","TipsAmount":"0.00","CreditCardAmount":"0.00","people":"62.00","sales":"2685.00","number_bill":"31.00","billNum_skyOder":"1.00","billPrice_table":"2623.00","billPrice_skyOder":"111.00","billNum_table":"30.00","servicecharge":"72.00"}}
     */

    private boolean success;
    private long sysTime;
    private Map<String, DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public Map<String, DataBean> getData() {
        return data;
    }

    public void setData(Map<String, DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * Business_amount : 2734.00 營業總金額
         * Bill_decimal : 0.00  賬單小數
         * discount : -23.00  折扣
         * TipsAmount : 0.00  貼士
         * CreditCardAmount : 0.00
         * people : 62.00  消費人數   營業總金額除以賬單數量=平均值
         * sales : 2685.00  項目總金額
         * number_bill : 31.00  賬單數量   營業總金額除以賬單數量=平均值
         * billNum_skyOder : 1.00
         * billPrice_table : 2623.00
         * billPrice_skyOder : 111.00
         * billNum_table : 30.00 堂食賬單數
         * billNum_Takeout  外賣賬單數
         * CreditCardNum﻿
         * billPrice_Takeout  外賣賬單金額
         * TipsNum﻿
         * servicecharge : 72.00  服務費
         */
        private String Business_amount; //營業總金額
        private String Bill_decimal; //賬單小數
        private String discount; //折扣
        private String TipsAmount;//貼士
        private String CreditCardAmount;
        private String people; //消費人數
        private String sales; //項目總金額
        private String number_bill; //賬單數量
        private String billNum_skyOder;//skyOrder 賬單數
        private String billPrice_table;//堂食總金額
        private String billPrice_skyOder;//skyOrder總金額
        private String billNum_table;//堂食賬單數
        private String servicecharge;//服務費
        private String billNum_Takeout;//外賣賬單數
        private String billPrice_Takeout;//外賣總金額

        public String getBusiness_amount() {
            return Business_amount;
        }

        public void setBusiness_amount(String Business_amount) {
            this.Business_amount = Business_amount;
        }

        public String getBill_decimal() {
            return Bill_decimal;
        }

        public void setBill_decimal(String Bill_decimal) {
            this.Bill_decimal = Bill_decimal;
        }

        public String getDiscount() {
            return discount;
        }

        public void setDiscount(String discount) {
            this.discount = discount;
        }

        public String getTipsAmount() {
            return TipsAmount;
        }

        public void setTipsAmount(String TipsAmount) {
            this.TipsAmount = TipsAmount;
        }

        public String getCreditCardAmount() {
            return CreditCardAmount;
        }

        public void setCreditCardAmount(String CreditCardAmount) {
            this.CreditCardAmount = CreditCardAmount;
        }

        public String getPeople() {
            return people;
        }

        public void setPeople(String people) {
            this.people = people;
        }

        public String getSales() {
            return sales;
        }

        public void setSales(String sales) {
            this.sales = sales;
        }

        public String getNumber_bill() {
            return number_bill;
        }

        public void setNumber_bill(String number_bill) {
            this.number_bill = number_bill;
        }

        public String getBillNum_skyOder() {
            return billNum_skyOder;
        }

        public void setBillNum_skyOder(String billNum_skyOder) {
            this.billNum_skyOder = billNum_skyOder;
        }

        public String getBillPrice_table() {
            return billPrice_table;
        }

        public void setBillPrice_table(String billPrice_table) {
            this.billPrice_table = billPrice_table;
        }

        public String getBillPrice_skyOder() {
            return billPrice_skyOder;
        }

        public void setBillPrice_skyOder(String billPrice_skyOder) {
            this.billPrice_skyOder = billPrice_skyOder;
        }

        public String getBillNum_table() {
            return billNum_table;
        }

        public void setBillNum_table(String billNum_table) {
            this.billNum_table = billNum_table;
        }

        public String getServicecharge() {
            return servicecharge;
        }

        public void setServicecharge(String servicecharge) {
            this.servicecharge = servicecharge;
        }

        public String getBillNum_Takeout() {
            return billNum_Takeout;
        }

        public void setBillNum_Takeout(String billNum_Takeout) {
            this.billNum_Takeout = billNum_Takeout;
        }

        public String getBillPrice_Takeout() {
            return billPrice_Takeout;
        }

        public void setBillPrice_Takeout(String billPrice_Takeout) {
            this.billPrice_Takeout = billPrice_Takeout;
        }
    }
}
